import 'package:json_annotation/json_annotation.dart';

part 'marking_text_question_job_tab_params_bus.g.dart';

@JsonSerializable()
class MarkingTextQuestionJobTabParamsBus extends Object {
  int taskId;

  int? nextPageIndex; // 下一个页面
  int? previousPageIndex; // 上一个页面
  int pageIndex;

  int? paperId;

  int? studentId;

  MarkingTextQuestionJobTabParamsBus(this.taskId, this.pageIndex,
      {this.paperId, this.studentId, this.nextPageIndex, this.previousPageIndex});

  factory MarkingTextQuestionJobTabParamsBus.fromJson(Map<String, dynamic> srcJson) =>
      _$MarkingTextQuestionJobTabParamsBusFromJson(srcJson);

  Map<String, dynamic> toJson() => _$MarkingTextQuestionJobTabParamsBusToJson(this);
}
